%define name live
%define version 2008.07.25

Summary: LIVE555 Streaming Media Library
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source0: http://live555.com/liveMedia/public/%{name}.%version.tar.gz
Patch0: live.2007.01.09-optflags.patch
Patch1: live-pic.patch
License: LGPLv2+
Group: System/Libraries
URL: http://www.live555.com/liveMedia/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

%package devel
Summary: Development files of the LIVE555 Streaming Media Library
Group: Development/C++

%description devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

%prep
%setup -q -n %name
%patch0 -p1 -b .optflags
%patch1 -p1 -b .pic
rm -f testProgs/qtParse

%build
./genMakefiles linux
make clean
make RPM_OPT_FLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %buildroot%_libdir/%name/$dir
  cp -r $dir/*.a $dir/include %buildroot%_libdir/%name/$dir
done
mkdir -p %buildroot%_bindir
for testprog in `find testProgs mediaServer -type f -perm 755`; do
  install $testprog %buildroot%_bindir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%_bindir/*

%files devel
%defattr(-,root,root)
%_libdir/%name




%changelog
* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 2008.07.25-2mdv2009.0
+ Revision: 306567
- add missing program live555MediaServer (bug #45903)

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2008.07.25-1mdv2009.0
+ Revision: 274140
- new version

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2008.06.26-1mdv2009.0
+ Revision: 231567
- new version
- update license

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.05.12-2mdv2009.0
+ Revision: 219561
- rebuild

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 2008.05.12-1mdv2009.0
+ Revision: 210264
- new version
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2007.12.27-1mdv2008.1
+ Revision: 140372
- new version

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.08.03a-2mdv2008.1
+ Revision: 133926
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2007.08.03a-1mdv2008.1
+ Revision: 98384
- new version

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 2007.04.24a-1mdv2008.0
+ Revision: 22377
- new version


* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 2007.01.09-1mdv2007.0
+ Revision: 107520
- new version
- rediff patch 0

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 2006.10.18-1mdv2007.1
+ Revision: 66304
- unpack patches
- Import live

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 2006.10.18-1mdv2007.1
- New version 2006.10.18

* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 2006.08.26-1mdv2007.0
- use upstream versioning
- new version

* Fri Jul 14 2006 Gtz Waschk <waschk@mandriva.org> 0-2006.07.04.1mdv2007.0
- new snapshot

* Tue May 16 2006 Gtz Waschk <waschk@mandriva.org> 0-2006.05.15.1mdk
- new snapshot

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> 0-0.2006.03.17.1mdk
- fix summary
- new snapshot

* Tue Dec 27 2005 Gtz Waschk <waschk@mandriva.org> 0-0.2005.12.23.1mdk
- update patch 0
- new URL, the old one was sold to Micro$oft, go figure
- new snapshot

* Sat Jul 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0-0.2004.12.23.2mdk
- build static library with PIC since it can be used into a DSO

* Mon Dec 27 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0-0.2004.12.23.1mdk
- new snapshot.

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.11.11a.1mdk
- new snapshot

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.07.22.1mdk
- new snapshot

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.2004.04.09.2mdk
- Rebuild

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.04.09.1mdk
- new version

* Wed Feb 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.23.1mdk
- drop the patch
- new snapshot

* Thu Feb 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.13.1mdk
- new snapshot

* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.01.22.1mdk
- drop prefix tag
- new snapshot

